#ifndef KCAM_H
#define KCAM_H
#include <KXmlGuiWindow>
#include <KPushButton>
#include "kcamwidget.h"
class KCam : public KXmlGuiWindow
{
    Q_OBJECT
public:
    KCam(QWidget * parent = 0);
    void setupActions();
public slots:
    void setViewFullScreen(bool i)
    {
        if (i) showFullScreen();
        else showNormal();
    }
private:
    KCamWidget * m_cam;
    KPushButton * m_buttonShot;
    KPushButton * m_buttonRecord;

};

#endif // KCAM_H
